#include "testlib.h"

using namespace std;

int main(int argc, char *argv[]) {

    registerGen(argc, argv, 1);
    int n = opt<int>("n"), q = opt<int>("q"), h = opt<int>("h");
    double noise = opt<double>("noise");

    println(n, q);
    vector<int> a(n, h);
    println(a.begin(), a.end());

    auto seq = rnd.distinct(q + 1, 0, n);
    sort(seq.begin(), seq.end());
    for (int i = 0; i < q; i++) {
        int f = rnd.next() < noise ? rnd.next(0, (int) 1e9) : rnd.next(0, h);
        println(seq[i] + 1, seq[i + 1], f);
    }

}