#include "testlib.h"

using namespace std;

int main(int argc, char *argv[]) {

    registerGen(argc, argv, 1);
    int n = opt<int>("n"), q = opt<int>("q");
    int from = opt<int>("from"), to = opt<int>("to");
    double noise = opt<double>("noise");

    println(n, q);
    vector<int> a(n);
    for (int i = 0; i < n; i++) a[i] = rnd.next(from, to);
    sort(a.begin(), a.end());
    println(a.begin(), a.end());

    auto seq = rnd.distinct(q + 1, 0, n);
    sort(seq.begin(), seq.end());
    for (int i = 0; i < q; i++) {
        int l = seq[i], r = seq[i + 1] - 1;
        int f = rnd.next() < noise ? rnd.next(0, (int) 1e9) : rnd.next(0, a[rnd.next(l, r)]);
        println(l + 1, r + 1, f);
    }

}