#include "testlib.h"

using namespace std;

int main(int argc, char *argv[]) {

    registerGen(argc, argv, 1);
    int n = opt<int>("n"), k = opt<int>("k");
    int from = opt<int>("from"), to = opt<int>("to");
    double noise = opt<double>("noise");

    vector<int> a(n);
    int t = from + (to - from) / (n - 1);
    for (int i = 0; i < n; i++) {
        a[i] = from + t * i;
        if (rnd.next() < noise) a[i] += rnd.next(2) ? 1 : -1;
        if (a[i] < from || a[i] > to) a[i] = min(max(from, a[i]), to);
    }
    shuffle(a.begin(), a.end());

    println(n, k);
    println(a.begin(), a.end());

}