#include "testlib.h"

using namespace std;

int main(int argc, char *argv[]) {

    registerValidation(argc, argv);
    int _g = validator.group() == "" ? validator.group()[0] - '0' : 0;

    int n = inf.readInt(1, 200'000, "n");
    inf.readSpace();
    int k = inf.readInt(0, 1000'000'000, "k");
    inf.readEoln();

    auto a = inf.readInts(n, 1, 1000'000'000, "a");
    inf.readEoln();

    if (_g == 1) {
        ensuref(n <= 3, "group 1 has n = %d > 3", n);
    } else if (_g == 2) {
        ensuref(k == 0, "group 2 has k = %d != 0", k);
    } else if (_g == 3) {
        ensuref(n <= 9, "group 3 has n = %d > 9", n);
    } else if (_g == 4) {
        ensuref(k >= 1 && k <= 2, "group 4 has k = %d not in [1, 2]", k);
        ensuref(set<int>(a.begin(), a.end()).size() == n, "group 4 has repeating elements");
    } else if (_g == 5) {
        ensuref(n <= 1000, "group 5 has n = %d > 1000", n);
    }

    inf.readEof();

}