#include "testlib.h"

using namespace std;

int main(int argc, char *argv[]) {

    registerValidation(argc, argv);
    int _g = validator.group() == "" ? -1 : validator.group()[0] - '0';

    int n = inf.readInt(1, 1000, "n");
    inf.readEoln();
    auto t = inf.readInts(3, 1, 100'000, "t");
    inf.readEoln();
    ensuref(t[0] <= 2, "t1 = %d > 2", t[0]);

    if (_g == 1) {
        ensuref(n == 1, "group 1 has n = %d > 1", n);
    } else if (_g == 2) {
        ensuref(t[0] == 1, "group 2 has t1 = %d > 1", t[0]);
        ensuref(t[1] == 1, "group 2 has t2 = %d > 1", t[1]);
        ensuref(t[2] >= 2, "group 2 has t3 = %d < 2", t[2]);
    } else if (_g == 3) {
        ensuref(t[0] == 1, "group 3 has t1 = %d > 1", t[0]);
    } else if (_g == 4) {
        ensuref(t[0] == t[1], "group 4 has t1 = %d != t2 = %d", t[0], t[1]);
        ensuref(t[0] >= t[2], "group 4 has t1 = %d < t3 = %d", t[0], t[2]);
    } else if (_g == 5) {
        ensuref(t[0] == t[1], "group 5 has t1 = %d != t2 = %d", t[0], t[1]);
    } else if (_g == 6) {
        ensuref(n <= 6, "group 6 has n = %d > 6", n);
        ensuref(t[1] <= 3, "group 6 has t2 = %d > 3", t[1]);
        ensuref(t[2] <= 3, "group 6 has t3 = %d > 3", t[2]);
    } else if (_g == 7) {
        ensuref(n <= 100, "group 7 has n = %d > 5", n);
        ensuref(t[1] <= 100, "group 7 has t2 = %d > 3", t[1]);
        ensuref(t[2] <= 100, "group 7 has t3 = %d > 3", t[2]);
    }

    inf.readEof();

}