import java.math.BigInteger;
import java.util.*;

public class Main {
    public static BigInteger su(String x) {
        BigInteger r = BigInteger.ZERO;
        for (char c : x.toCharArray()) {
            r = r.add(BigInteger.valueOf(c - '0'));
        }
        return r;
    }

    public static BigInteger pr(String x) {
        BigInteger r = BigInteger.ONE;
        for (char c : x.toCharArray()) {
            r = r.multiply(BigInteger.valueOf(c - '0'));
        }
        return r;
    }

    public static void main(String[] args) throws Exception {
        Scanner sc = new Scanner(System.in);
        int n = sc.nextInt();
        Map<Pair, BigInteger> d = new HashMap<>();
        d.put(new Pair(BigInteger.ZERO, BigInteger.ONE), BigInteger.ONE);

        for (int l = 0; l < n; l++) {
            Map<Pair, BigInteger> nd = new HashMap<>();
            for (Map.Entry<Pair, BigInteger> entry : d.entrySet()) {
                BigInteger s = entry.getKey().first;
                BigInteger p = entry.getKey().second;
                for (int di = 1; di < 10; di++) {
                    BigInteger newS = s.add(BigInteger.valueOf(di));
                    BigInteger newP = p.multiply(BigInteger.valueOf(di));
                    Pair newPair = new Pair(newS, newP);
                    nd.putIfAbsent(newPair, BigInteger.ZERO);
                    nd.put(newPair, nd.get(newPair).add(entry.getValue()));
                }
            }
            d = nd;

        }
        BigInteger ans = BigInteger.ZERO;
        for (var pair : d.entrySet()) {
            BigInteger cnt = pair.getValue();
            BigInteger s = pair.getKey().first;
            BigInteger p = pair.getKey().second;
            BigInteger two = cnt;
            two = two.add(d.getOrDefault(new Pair(s.add(BigInteger.ONE), p), BigInteger.ZERO));
            two = two.add(d.getOrDefault(new Pair(s.subtract(BigInteger.ONE), p), BigInteger.ZERO));
            ans = ans.add(cnt.multiply(two));
        }
        System.out.println(ans);
    }

    static class Pair {
        BigInteger first;
        BigInteger second;

        Pair(BigInteger first, BigInteger second) {
            this.first = first;
            this.second = second;
        }

        @Override
        public int hashCode() {
            final int prime = 31;
            int result = 1;
            result = prime * result + ((first == null) ? 0 : first.hashCode());
            result = prime * result + ((second == null) ? 0 : second.hashCode());
            return result;
        }

        @Override
        public boolean equals(Object obj) {
            if (this == obj)
                return true;
            if (obj == null || getClass() != obj.getClass())
                return false;
            Pair other = (Pair) obj;
            return first.equals(other.first) && second.equals(other.second);
        }
    }
}
