#include <bits/stdc++.h>
 
using namespace std;
 
std::string int128ToString(unsigned __int128 n) {
    if (n == 0) {
        return "0";
    }
 
    std::string result;
    while (n > 0) {
        result = char('0' + (n % 10)) + result;
        n /= 10;
    }
 
    return result;
}
 
 
unsigned __int128 su(const std::string& x) {
    unsigned __int128 r = 0;
    for (char c : x) {
        r += c - '0';
    }
    return r;
}
 
unsigned __int128 pr(const std::string& x) {
    unsigned __int128 r = 1;
    for (char c : x) {
        r *= c - '0';
    }
    return r;
}
 
 
int main() {
    int n;
    cin >> n;
    std::map<pair<unsigned __int128, unsigned __int128>, unsigned __int128> dp;
    dp[{0, 1}] = 1;
 
    for (int l = 0; l < n; l++) {
        std::map<pair<unsigned __int128, unsigned __int128>, unsigned __int128> ndp;
        for (const auto& entry : dp) {
            unsigned __int128 s = entry.first.first;
            unsigned __int128 p = entry.first.second;
            for (int di = 1; di < 10; di++) {
                unsigned __int128 newS = s + di;
                unsigned __int128 newP = p * di;
                pair<unsigned __int128, unsigned __int128> newpair = { newS, newP };
                ndp[newpair] += entry.second;
            }
        }
        dp = ndp;
    }
    unsigned __int128 ans = 0;
    for (auto [p, cnt]: dp) {
        unsigned __int128 two = cnt;
        if (dp.count({p.first - 1, p.second})) {
            two += dp[{p.first - 1, p.second}]; 
        }
        if (dp.count({p.first + 1, p.second})) {
            two += dp[{p.first + 1, p.second}]; 
        }
        ans += cnt * two;
    }
    cout << int128ToString(ans) << "\n";
    
    return 0;
}
