#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef unsigned int uint;
typedef pair<int, int> pii;

void mcin() {}

template<typename T, typename ...Tail>
void mcin(T &&arg, Tail &&...args) {
    cin >> arg;
    mcin(args...);
}
#define in(type, ...) type __VA_ARGS__; mcin(__VA_ARGS__);

template<typename T>
istream &operator>>(istream &in, vector<T> &v) {
    for (auto &item: v)
        in >> item;
    return in;
}

#define all(c) c.begin(), c.end()

void merge(vector<int> &out, vector<int> const &l, vector<int> const &r) {
    int i = 0, j = 0;
    while (i < l.size() && j < r.size())
        out.push_back(l[i] < r[j] ? l[i++] : r[j++]);
    while (i < l.size()) out.push_back(l[i++]);
    while (j < r.size()) out.push_back(r[j++]);
}

struct segtree {

private:
    struct node {
        static const int LIMIT = 1e9;

        int l, r;
        vector<int> hs;
        vector<ll> hs_pref;
        int push = LIMIT;
        ll total = 0;

        int length() const {
            return r - l;
        }
    };

    int n;
    vector<int> h;
    vector<node> tree;

#define cd(v) int left = v << 1, right = left + 1;

    inline ll get(int v) {
        node &nd = tree[v];
        if (nd.push == node::LIMIT) return nd.total;
        int ptr = upper_bound(all(nd.hs), nd.push) - nd.hs.begin();
        return nd.hs_pref[ptr] + static_cast<ll>(nd.length() - ptr) * nd.push;
    }

    inline void recalc(int v) {
        node &nd = tree[v];
        if (nd.length() == 1) {
            nd.total = min(h[nd.l], nd.push);
        } else {
            cd(v)
            nd.total = get(left) + get(right);
        }
    }

    inline void push(int v) {
        node &nd = tree[v];
        if (nd.length() == 1) return;
        if (nd.push != node::LIMIT) {
            cd(v)
            tree[left].push = tree[right].push = nd.push;
            nd.push = node::LIMIT;
        }
    }

    inline void build(int v, int l, int r) {
        node &nd = tree[v] = node{l, r};
        if (nd.length() == 1) {
            nd.hs.push_back(h[l]);
        } else {
            int m = (l + r) / 2;
            cd(v)
            build(left, l, m);
            build(right, m, r);
            merge(nd.hs, tree[left].hs, tree[right].hs);
        }
        nd.hs_pref.resize(nd.hs.size() + 1, 0);
        for (int i = 0; i < nd.hs.size(); i++)
            nd.hs_pref[i + 1] = nd.hs_pref[i] + nd.hs[i];
        recalc(v);
    }

    inline void assign(int v, int l, int r, int f) {
        node &nd = tree[v];
        if (nd.l >= r || l >= nd.r) return;
        if (nd.l >= l && r >= nd.r) {
            nd.push = f;
        } else {
            push(v);
            cd(v)
            assign(left, l, r, f);
            assign(right, l, r, f);
            recalc(v);
        }
    }

    ll request(int v, int l, int r) {
        node &nd = tree[v];
        if (nd.l >= r || l >= nd.r) return 0;
        if (nd.l >= l && r >= nd.r) return get(v);
        push(v);
        cd(v)
        ll res = request(left, l, r) + request(right, l, r);
        recalc(v);
        return res;
    }

public:
    segtree(vector<int> const &h) : n(h.size()), h(h) {
        int nd = n;
        while (__builtin_popcount(nd) != 1) nd++;
        tree.resize(nd << 1);
        build(1, 0, n);
    }

    void assign(int l, int r, int f) {
        assign(1, l, r, f);
    }

    ll request(int l, int r) {
        return request(1, l, r);
    }

};

int main() {

    in(int, n, q)
    vector<int> h(n);
    cin >> h;
    segtree st(h);

    while (q--) {
        in(int, l, r, f)
        l--;
        st.assign(l, r, f);
        cout << st.request(0, n) << '\n';
    }

}